Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0004606 [DCSS] Bug Report minor have not tried 2011-09-24 12:18 2014-09-11 21:44
Reporter paplaukes View Status public  
Assigned To neil
Priority normal Resolution done  
Status resolved   Product Branch 0.9 ancient branch
Summary 0004606: Xom weapon swap effect destroyed a weapon when a monster couldn't wield it
Description While on 'very special plaything' xom piety, got an effect:
"This might be better!" followed by red text "Monster wouldn't take item."
It was in a fight against orc warrior, necrophage and swamp dragon visible. Was probably intended as a weapon swap with one of the monsters. I ended up unarmed so it probably was the necrophage or swamp dragon. I looked around for my weapon afterwards but couldn't find it. If a monster can't wield the weapon I'd expect it to be dropped not just disappear.
Additional Information
Tags No tags attached.
Attached Files ? file icon paplaukes.lst [^] (6,325 bytes) 2011-09-24 12:18
txt file icon paplaukes.txt [^] (10,571 bytes) 2011-09-24 12:18 [Show Content]
? file icon paplaukes.map [^] (3,756 bytes) 2011-09-24 12:19

- Relationships
has duplicate 0008502closedneil Xom tried to swap my chaos dagger with a monster and it vanished and became an unlinked item 

-  Notes
(0015186)
heteroy (updater)
2011-10-12 21:19
edited on: 2011-10-12 21:20

This exact thing just happened to me on CAO Trunk just now. The only monsters in LoS were orcs, and the weapon was a broad axe of freezing,

(0015188)
reid (reporter)
2011-10-12 21:54

It seems this happens when the monster both inventory slots 0 and 1 full and prefers its current weapon to the one that Xom is trying to swap with it.

Ideally, if the monster won't take the weapon, the whole effect would be unwound, but that may be impractical. Destroying the player's weapon is unreasonably harsh, though--can't it just go back into the player's inventory?
(0027180)
neil (administrator)
2014-09-09 22:30
edited on: 2014-09-09 22:34

Still in 0.16-a0. A save exhibiting the effects of this behaviour in 0.15-a0 (taken from the duplicate 0008502) is at http://crawl.akrasiac.org/saves/crate-crawl-git-c60bd48a68-140505-2219.tar.bz2 [^] .

(0027208)
neil (administrator)
2014-09-11 21:44

Should be fixed now in trunk (0.16-a0-375-g05d2e87) and stable (0.15.0-30-g3336679). You still get the ugly "Monster wouldn't take item" (but at least that explains why Xom falls through to another action), but now you keep your weapon.

- Issue History
Date Modified Username Field Change
2011-09-24 12:18 paplaukes New Issue
2011-09-24 12:18 paplaukes File Added: paplaukes.lst
2011-09-24 12:18 paplaukes File Added: paplaukes.txt
2011-09-24 12:19 paplaukes File Added: paplaukes.map
2011-10-12 21:19 heteroy Note Added: 0015186
2011-10-12 21:20 heteroy Note Edited: 0015186
2011-10-12 21:54 reid Note Added: 0015188
2014-09-09 22:30 neil Relationship added has duplicate 0008502
2014-09-09 22:30 neil Note Added: 0027180
2014-09-09 22:34 neil Note Edited: 0027180
2014-09-09 22:34 neil Note Edited: 0027180
2014-09-11 21:44 neil Note Added: 0027208
2014-09-11 21:44 neil Status new => resolved
2014-09-11 21:44 neil Fixed in Branch => 0.15 prerelease branch
2014-09-11 21:44 neil Resolution open => done
2014-09-11 21:44 neil Assigned To => neil


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker